## kicad-packages3d 5.1.7

=== CMakeLists.txt ===
project( kicad-packages3d NONE )

cmake_minimum_required( VERSION 2.6.1 FATAL_ERROR )


#================================================
# Locations for install targets.
#================================================
if( APPLE )
    # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
    set( CMAKE_INSTALL_PREFIX "/Library/Application Support/kicad/" CACHE PATH "" )
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set( KICAD_PACKAGES_3D modules/packages3d )
else()
    # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
    set( KICAD_DATA share/kicad
        CACHE PATH "Location of KiCad data files." )
    set( KICAD_PACKAGES_3D ${KICAD_DATA}/modules/packages3d )
endif()

mark_as_advanced( KICAD_DATA KICAD_MODULES )


#================================================
# "make uninstall" rules
#
# The uninstaller does not remove folders only files.
#================================================
configure_file(
    "${PROJECT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)


#================================================
# Installed files.
#================================================

# Install all of the .3dshapes folders and their contents in to the modules path.
file ( GLOB SHAPE_DIRS "*.3dshapes" )

install( DIRECTORY ${SHAPE_DIRS}
    DESTINATION ${KICAD_PACKAGES_3D}
    COMPONENT resources
    FILES_MATCHING PATTERN "*.wrl"
    PATTERN ".git" EXCLUDE
)

install( DIRECTORY ${SHAPE_DIRS}
    DESTINATION ${KICAD_PACKAGES_3D}
    COMPONENT resources
    FILES_MATCHING PATTERN "*.step"
    PATTERN ".git" EXCLUDE
)

## kicad-packages3d 5.0.0

=== debian/changelog ===
kicad-packages3d (5.0.0-1) unstable; urgency=medium

  * [70aff06] debian/control: increase Standards-Version to 4.1.5
    + No further changes needed.
  * [32ca496] Multi-Arch: mark kicad-templates foreign
  * [0cda231] New upstream version 5.0.0
  * [219c511] d/copyright: update information due upstream changes
  * [1c0766c] d/rules: remove useless files CREDITS.md from folders
    + Upstream is collecting the copyright information in a file CREDITS.md
      within the folders. We ship these information in the copyright file and
      don't need them..

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jul 2018 09:54:41 +0200

kicad-packages3d (5.0.0~rc3-1) unstable; urgency=medium

  * [6988770] d/watch: fix up matching regular expressions
  * [b44f362] New upstream version 5.0.0~rc3
  * [b1fe3b5] d/copyright: update information due upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 28 Jun 2018 17:51:23 +0200

kicad-packages3d (5.0.0~rc2-2) unstable; urgency=medium

  * rebuild for unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 31 May 2018 07:54:06 +0200

kicad-packages3d (5.0.0~rc2-1) experimental; urgency=medium

  * [755dd63] New upstream version 5.0.0~rc2
  * [2d9c8ef] debian/control: increase Standards-Version to 4.1.4
    + No further changes needed.
  * [b874f19] debian/control: adjust field Maintainer due domain change
    + The contact email address for the Debian Electronics Group has changed
      to pkg-electronics-devel@alioth-lists.debian.net.
  * [58757d8] copyright: add some additional information for cme script
    + Add some helping content into debian/fill.copyright.blanks.yml.
  * [021562f] copyright: update information due release of 5.0.0-RC2
    + The changes to the upstream are reflected by this update to the copyright
      file.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 May 2018 11:00:05 +0200

kicad-packages3d (5.0.0~rc1+20180318-1) experimental; urgency=medium

  * [b1af77f] New upstream version 5.0.0~rc1+20180318
    + Imported snapshot version from 18th March 2018.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 19 Mar 2018 23:40:02 +0100

kicad-packages3d (5.0.0~rc1-1) experimental; urgency=medium

  * [a76ad2e] d/control: fixup VCS URLs
  * [b96d94d] New upstream version 5.0.0~rc1
  * [677ea80] d/control: adjusting B+R against previous kicad{-common} pkg
    (Closes: #891012)
  * [8c13f17] turning suggesting of kicad into a recommends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 06 Mar 2018 18:07:20 +0100

kicad-packages3d (0~2018.02.17-1) experimental; urgency=medium

  * Initial upload (Closes: #888116)
  * [6e36b89] debian/gbp.conf: we need to filter out some files
    It seems upstream is adding sometimes files by accident which we don't
    need and also don't want. So we filter them out while importing the
    source.
  * [8e5c249] New upstream version 0~2018.02.17
  * [f7d18a0] d/copyright: be more precise on the details of source files
    Thorsten Alteholz was right, there are also some GPL-3+ licensed files
    inside the source. How could this not be noticed from me? :-/
    So now added all the complete copyright holders with much more granularity.
  * [66197fd] debian/rules: adding some overriding rules
    Upstream ships now a CMakeLists.txt files that is triggering a build and
    installation which we don't need. All files are plain text files which
    doesn't need to be compiled. Saves resources on the buildd environment.
  * [702c0dd] adding helper files for cme and scan-copyrights

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Feb 2018 16:32:56 +0100

kicad-packages3d (0~2018.01.27-1) experimental; urgency=medium

  * [c815d7e] New upstream version 0~2018.01.27
  * [fb0d0e2] first and basic Debianisation
  * [ec95bb7] some fine tunings for Breaks and Suggests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Feb 2018 17:06:19 +0100

=== debian/control ===
Source: kicad-packages3d
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Jean-Samuel Reynaud <js.reynaud@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 cmake,
Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
Standards-Version: 4.1.5
Homepage: https://kicad.github.io/packages3d

Package: kicad-packages3d
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 kicad (>= 5.0.0~rc+dfsg1-1~),
Breaks:
 kicad (<< 5.0.0~rc1+dfsg1-1~),
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Replaces:
 kicad (<< 5.0.0~rc1+dfsg1-1~),
 kicad-common (<< 5.0.0~rc1+dfsg1-1~),
Description: 3D models for 3D viewer in KiCad's Pcbnew and Footprint Editor
 Pcbnew is a powerful printed circuit board software and part of the
 KiCad suite. Like Pcbnew the Footprint Editor is also part of KiCad.
 The 3D models are provided as *.step and *.wrl files and intended to be
 rendered by the Pcbnew and Footprint 3D viewer or other MCAD software.
 .
 The STEP files (*.step) are used for integration with MCAD software packages
 (e.g. by openscad or freecad). The WRL files (*.wrl) are used for
 photo-realistic rendering using KiCad's raytracing rendering engine.
 .
 The 3D models of this package are completely optional and not really needed
 for developing of any PCB layout but they give the user a impressive
 possibility to see how the PCB or the Footprint would look like.
 .
 This package is providing 3D Models for Pcbnew and the footprint editor
 usable for KiCad >= 5.0.0.
 .
 Please note this package will use about 4GB of disk space! Ensure you have
 enough free space on your PC or Laptop before you install the package.

## kicad-packages3d 5.0.2

=== debian/changelog ===
kicad-packages3d (5.0.2-1) unstable; urgency=medium

  * [aeb1d03] New upstream version 5.0.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Dec 2018 16:47:58 +0100

kicad-packages3d (5.0.1-1) unstable; urgency=medium

  * [0ecb5cc] New upstream version 5.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Oct 2018 17:54:12 +0200

kicad-packages3d (5.0.0-2) unstable; urgency=medium

  * [a1039a1] d/control: increase Standards-Version to 4.2.1
    + No further changes needed.
  * [635326a] d/copyright: extend some legal notes for CC-BY-SA-4.0
    + Enhancing the content of the CC-BY-SA-4.0 license text as the complete
      full plain license text was missing and only the human readable text was
      used.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 31 Aug 2018 21:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  cmake,
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 5.1.0

=== debian/changelog ===
kicad-packages3d (5.1.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Apr 2019 13:11:59 -0700

kicad-packages3d (5.1.0-1) unstable; urgency=medium

  * [674fff9] New upstream version 5.1.0
  * [387d52f] d/control: increase Standards-Version to 4.3.0
    + No further changes needed.
  * [90c3af4] copyright: add some additional information for cme script
    + Add some helping content into debian/fill.copyright.blanks.yml.
  * [581a7ec] copyright: update information due release of 5.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Mar 2019 20:15:27 +0100

## kicad-packages3d 5.1.2

=== debian/changelog ===
kicad-packages3d (5.1.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 May 2019 16:47:17 -0700

kicad-packages3d (5.1.2-1) unstable; urgency=medium

  * [1af24e3] New upstream version 5.1.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 25 Apr 2019 20:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kicad-packages3d
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
@@ -10,7 +11,7 @@
  cmake,
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 5.1.3

=== debian/changelog ===
kicad-packages3d (5.1.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Aug 2019 15:46:08 -0700

kicad-packages3d (5.1.3-1) unstable; urgency=medium

  * [9238250] New upstream version 5.1.3
  * [e2e36fa] d/control: increase Standards-Version to 4.4.0
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Jul 2019 20:32:32 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  cmake,
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 5.1.5

=== debian/changelog ===
kicad-packages3d (5.1.5-1) unstable; urgency=medium

  * [c7f818a] New upstream version 5.1.5
  * [371b20f] d/control: increase Standards-Version to 4.4.1
    + No further changes needed.
  * [4121ded] d/control: adjust info about package size

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Nov 2019 20:44:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kicad-packages3d
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
@@ -11,7 +10,7 @@
  cmake,
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d
@@ -44,5 +43,5 @@
  This package is providing 3D Models for Pcbnew and the footprint editor
  usable for KiCad >= 5.0.0.
  .
- Please note this package will use about 4GB of disk space! Ensure you have
+ Please note this package will use about 5GB of disk space! Ensure you have
  enough free space on your PC or Laptop before you install the package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	find debian/kicad-packages3d/usr/share/kicad/modules/packages3d -type f -exec chmod 644 {} \;
	find debian/kicad-packages3d/usr/share/kicad/modules/packages3d -type f -name "CREDITS.md" -exec rm {} \;

## kicad-packages3d 5.1.6

=== debian/changelog ===
kicad-packages3d (5.1.6-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [10dd953] Revert "dh: move over to debhelper-compat"
  * [a142054] d/control: Don't use dh 11 or greater

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Nov 2019 19:29:34 +0100

kicad-packages3d (5.1.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 18 May 2020 17:17:19 +0200

kicad-packages3d (5.1.6-1) unstable; urgency=medium

  * [078a78d] New upstream version 5.1.6
  * [f740228] d/control: increase Standards-Version to 4.5.0
    + No further changes needed.
  * [2d7ab70] d/control: adding Rules-Requires-Root to source section
  * [28c7e77] copyright: add some additional information for cme script
    + By nature of the content there are a lot of updates within the source,
      adjusting the YAML file for scan-copyright so it's easier to track the
      changes by upstream automatically.
  * [19dd5e2] copyright: update information due release of 5.1.6
    + Incorporating the output of scan-copyrights into the copyright file.
  * [86ac760] dh: move over to debhelper-compat
    + Moving over to use debhelper-compat (13).

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 May 2020 09:48:18 +0200

kicad-packages3d (5.1.5-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Nov 2019 19:29:34 +0100

kicad-packages3d (5.1.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Nov 2019 19:10:38 +0100

kicad-packages3d (5.1.3-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 17:50:18 +0200

kicad-packages3d (5.1.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [fedaf09] debian/gbp.conf: adjust to debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Jul 2019 09:54:47 +0200

kicad-packages3d (5.0.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 14 Dec 2018 19:26:54 +0100

kicad-packages3d (5.0.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [fb3c7f5] debian/gbp.conf: adjust to debian/stretch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Sep 2018 08:22:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (<< 11),
  cmake,
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 5.1.7

=== debian/changelog ===
kicad-packages3d (5.1.7-1) unstable; urgency=medium

  [ Jean-Samuel Reynaud ]
  * [2cb08c3] d/README.source: Fixup c&p error

  [ Carsten Schoenert ]
  * [4dd7325] New upstream version 5.1.7
  * [0656e46] copyright: add some additional information for cme script
  * [0f32faa] copyright: update information due release of 5.1.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Sep 2020 18:52:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
 Build-Depends:
- debhelper (<< 11),
+ debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git

=== debian/watch ===
# watch file for kicad-packages3d from KiCad
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//, \
  dversionmangle=s/\+dfsg(\.?\d+)?$//" \
  https://github.com/KiCad/kicad-packages3D/tags .*/(\d+\.\d+\.\d+)(-rc\d)?\.tar\.[gx]z

## kicad-packages3d 5.1.11

=== debian/changelog ===
kicad-packages3d (5.1.11-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [f5ce03f] d/gbp.conf: Adjust to debian/bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Nov 2021 17:05:15 +0100

kicad-packages3d (5.1.11-1) unstable; urgency=medium

  * [10e5aaf] d/watch: update watch file to capture GitLab source
  * [49e20b2] d/control: increase Standards-Version to 4.5.1
    + No further changes needed.
  * [f80ba51] d/gbp.conf: Adjust upstream branch to upstream/5.1.x
  * [5c409fb] New upstream version 5.1.11
    + This new version brings in NO modified or new footprints, it only
      contains changes regarding the change of the default project URL to
      http(s)://kicad.org
  * [c0b92e6] d/control: Increase Standards-Version to 4.6.0
    + No further changes needed.
  * [8083f7f] d/copyright: Update information due release of 5.1.11

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Oct 2021 13:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 6.0.0

=== debian/changelog ===
kicad-packages3d (6.0.0-1~bpo10+1.lnd.edu1.1) buster-backports; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:22:27 +0800

kicad-packages3d (6.0.0-1~bpo10+1.lnd.edu1) buster-backports-sloppy; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Tue, 25 Jan 2021 18:51:28 +0800

kicad-packages3d (6.0.0-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.
  * Loosen Build-Depends on debhelper

 -- Simon Richter <sjr@debian.org>  Tue, 11 Jan 2022 12:15:48 +0100

kicad-packages3d (6.0.0-1) unstable; urgency=medium

  * Upload to unstable
  * [ccec867] New upstream version 6.0.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Jan 2022 12:13:39 +0100

kicad-packages3d (6.0.0~rc1-1~exp1) experimental; urgency=medium

  * [e699882] New upstream version 6.0.0~rc1
  * [1847ad9] d/control: Increase Standards-Version to 4.6.0
    + No further changes needed.
  * [677fa78] d/copyright: Update information due release of 6.0.0-rc1
  * [5466bdd] d/control: Use branch debian/experimental in Vcs-*

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Nov 2021 22:40:15 +0100

kicad-packages3d (6.0.0~20210410-1) experimental; urgency=medium

  * [d569b6b] New upstream version 6.0.0~20210410
  * [45c7766] d/control: Increase required kicad version >= 6.0.0~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Apr 2021 10:46:23 +0200

kicad-packages3d (5.99.0~20210401-1) experimental; urgency=medium

  * [10e5aaf] d/watch: update watch file to capture GitLab source
    + The upstream VCS has moved to GitLab, this requires an update to the
      watch file.
  * [49e20b2] d/control: increase Standards-Version to 4.5.1
    + No further changes needed.
  * [a5f949e] d/gbp.conf: Adjust to debian/experimental
  * [4f78825] New upstream version 5.99.0~20210401
    + Use a snapshot version from 2021-04-01 as upstream version.
  * [b19d7db] d/copyright: Update years on contributors
  * [a422bfd] d/control: Increase required kicad version >= 5.99.0~
  * [6106510] d/k-p.install: Adjust install folder
    + The target folder for the 3d models has changed, this needs a
      modification of the sequencer for installing data into the package.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Apr 2021 09:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  cmake,
 Rules-Requires-Root: binary-targets
-Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d
+Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/commits/debian/sid/
 Standards-Version: 4.6.0
 Homepage: https://kicad.github.io/packages3d
 
@@ -20,12 +20,12 @@
 Depends:
  ${misc:Depends},
 Recommends:
- kicad (>= 5.0.0~rc+dfsg1-1~),
+ kicad (>= 6.0.0~),
 Breaks:
- kicad (<< 5.0.0~rc1+dfsg1-1~),
+ kicad (<< 6.0.0~),
  kicad-common (<< 5.0.0~rc1+dfsg1-1~),
 Replaces:
- kicad (<< 5.0.0~rc1+dfsg1-1~),
+ kicad (<< 6.0.0~),
  kicad-common (<< 5.0.0~rc1+dfsg1-1~),
 Description: 3D models for 3D viewer in KiCad's Pcbnew and Footprint Editor
  Pcbnew is a powerful printed circuit board software and part of the
@@ -42,7 +42,7 @@
  possibility to see how the PCB or the Footprint would look like.
  .
  This package is providing 3D Models for Pcbnew and the footprint editor
- usable for KiCad >= 5.0.0.
+ usable for KiCad >= 5.99.0.
  .
- Please note this package will use about 5GB of disk space! Ensure you have
+ Please note this package will use about 5.7GB of disk space! Ensure you have
  enough free space on your PC or Laptop before you install the package.

## kicad-packages3d 6.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,12 @@
     # Like all variables, CMAKE_INSTALL_PREFIX can be over-ridden on the command line.
     set( CMAKE_INSTALL_PREFIX "/Library/Application Support/kicad/" CACHE PATH "" )
     # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
-    set( KICAD_PACKAGES_3D modules/packages3d )
+    set( KICAD_PACKAGES_3D 3dmodels )
 else()
     # Everything without leading / is relative to CMAKE_INSTALL_PREFIX.
     set( KICAD_DATA share/kicad
         CACHE PATH "Location of KiCad data files." )
-    set( KICAD_PACKAGES_3D ${KICAD_DATA}/modules/packages3d )
+    set( KICAD_PACKAGES_3D ${KICAD_DATA}/3dmodels )
 endif()
 
 mark_as_advanced( KICAD_DATA KICAD_MODULES )

=== debian/changelog ===
kicad-packages3d (6.0.2-1) unstable; urgency=medium

  * [b5e76a2] New upstream version 6.0.2
  * [a682149] d/s/metadata: Adding some starting data
  * [39dc468] d/control: Adjust Vcs-Browser field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Feb 2022 11:01:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Carsten Schoenert <c.schoenert@t-online.de>,
  Jean-Samuel Reynaud <js.reynaud@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
-Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/commits/debian/sid/
+Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
 Standards-Version: 4.6.0
 Homepage: https://kicad.github.io/packages3d

## kicad-packages3d 6.0.7

=== debian/changelog ===
kicad-packages3d (6.0.7-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 Aug 2022 21:28:33 +0200

kicad-packages3d (6.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 Aug 2022 21:25:11 +0200

kicad-packages3d (6.0.7-1) unstable; urgency=medium

  * [cbe3b80] New upstream version 6.0.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 30 Jul 2022 14:50:10 +0200

kicad-packages3d (6.0.6-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Jun 2022 18:27:04 +0200

kicad-packages3d (6.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Jun 2022 17:02:17 +0200

kicad-packages3d (6.0.6-1) unstable; urgency=medium

  * [808f7fe] New upstream version 6.0.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 21 Jun 2022 19:23:56 +0200

kicad-packages3d (6.0.5-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 07 Jun 2022 19:31:09 +0200

kicad-packages3d (6.0.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Jun 2022 10:36:19 +0200

kicad-packages3d (6.0.5-1) unstable; urgency=medium

  * [63bf54d] New upstream version 6.0.5
  * [d3357ce] d/control: Increase Standards-Version to 4.6.1
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 21:03:10 +0200

kicad-packages3d (6.0.4-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 31 Mar 2022 17:20:19 +0200

kicad-packages3d (6.0.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Mar 2022 19:07:00 +0200

kicad-packages3d (6.0.4-1) unstable; urgency=medium

  * [49c45b4] New upstream version 6.0.4
  * [9bbd0d8] d/copyright: Update copyright years

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 20 Mar 2022 10:28:58 +0100

kicad-packages3d (6.0.2-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.
  * d/control: Adjust VCS links to branch debian/buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 19 Feb 2022 09:42:46 +0100

kicad-packages3d (6.0.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Feb 2022 11:01:59 +0100

kicad-packages3d (6.0.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon Richter <sjr@debian.org>  Tue, 11 Jan 2022 12:15:48 +0100

kicad-packages3d (5.1.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Oct 2020 20:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: binary-targets
-Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
-Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
-Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/buster
+Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/buster
+Standards-Version: 4.6.1
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

## kicad-packages3d 6.0.8

=== debian/changelog ===
kicad-packages3d (6.0.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Oct 2022 18:34:40 +0200

kicad-packages3d (6.0.8-1) unstable; urgency=medium

  * [0ef931e] New upstream version 6.0.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Oct 2022 18:54:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: binary-targets
-Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/buster
-Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/buster
+Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/bullseye
 Standards-Version: 4.6.1
 Homepage: https://kicad.github.io/packages3d

## kicad-packages3d 6.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project( kicad-packages3d NONE )
 
-cmake_minimum_required( VERSION 2.6.1 FATAL_ERROR )
+cmake_minimum_required( VERSION 3.10 FATAL_ERROR )
 
 
 #================================================

=== debian/changelog ===
kicad-packages3d (6.0.10-1) unstable; urgency=medium

  * [49171ea] New upstream version 6.0.10
  * [e748471] d/control: Increase Standards-Version to 4.6.2
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Dec 2022 19:57:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: binary-targets
-Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/bullseye
-Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
+Standards-Version: 4.6.2
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	find debian/kicad-packages3d/usr/share/kicad/3dmodels -type f -exec chmod 644 {} \;
	find debian/kicad-packages3d/usr/share/kicad/3dmodels -type f -name "CREDITS.md" -exec rm {} \;

## kicad-packages3d 7.0.7

=== debian/changelog ===
kicad-packages3d (7.0.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Aug 2023 19:59:04 +0530

kicad-packages3d (7.0.7-1) unstable; urgency=medium

  * [d0d8a27] New upstream version 7.0.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 15 Aug 2023 21:58:49 +0200

kicad-packages3d (7.0.6-1~bpo12+1) bookworm-backports; urgency=medium

  * [24d67a8] d/gbp.conf: Adjust to target bookworm

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 21 Jul 2023 17:47:20 +0200

kicad-packages3d (7.0.6-1) unstable; urgency=medium

  * [204a757] New upstream version 7.0.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Jul 2023 10:40:27 +0200

kicad-packages3d (7.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 12 Jun 2023 18:14:21 +0200

kicad-packages3d (7.0.2-1) experimental; urgency=medium

  * [77771dc] New upstream version 7.0.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Apr 2023 20:22:39 +0200

kicad-packages3d (7.0.1-1) experimental; urgency=medium

  * [4c4fc51] New upstream version 7.0.1
  * [0b70549] d/control: Bump recommended version to >= 7.0.1~
  * [9ba21be] d/copyright: Update entries and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Mar 2023 12:33:04 +0100

## kicad-packages3d 7.0.8

=== debian/changelog ===
kicad-packages3d (7.0.8-1) unstable; urgency=medium

  * [4dd17c1] New upstream version 7.0.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 08 Oct 2023 11:52:32 +0200

## kicad-packages3d 7.0.10

=== debian/changelog ===
kicad-packages3d (7.0.10-1) unstable; urgency=medium

  * [64374d8] New upstream version 7.0.10

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Dec 2023 10:52:26 +0100

kicad-packages3d (7.0.9-1) unstable; urgency=medium

  * [49e4302] New upstream version 7.0.9

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Nov 2023 21:57:29 +0100

## kicad-packages3d 7.0.11

=== debian/changelog ===
kicad-packages3d (7.0.11-1) unstable; urgency=medium

  * [bc1ae26] New upstream version 7.0.11
  * [696744b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Feb 2024 20:13:10 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends:
  ${misc:Depends},
 Recommends:
- kicad (>= 6.0.0~),
+ kicad (>= 7.0.1~),
 Breaks:
  kicad (<< 6.0.0~),
  kicad-common (<< 5.0.0~rc1+dfsg1-1~),

## kicad-packages3d 8.0.3

=== debian/changelog ===
kicad-packages3d (8.0.3-1) unstable; urgency=medium

  * [ed36dbe] New upstream version 8.0.3
  * [7faee79] d/rules: Remove all *.md files from the library folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 05 Jun 2024 20:59:30 +0200

kicad-packages3d (8.0.2-1) unstable; urgency=medium

  * [5a44e18] New upstream version 8.0.2
  * [3168f68] d/control: Increase Standards-Version to 4.7.0
    + No further changes needed.
  * [d6f5560] d/control: Set Breaks on kicad << 8.0.1
    (Closes: #1068408, #1067884)
  * [9eba9b1] d/copyright: Remove lo longer existing entries

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 May 2024 13:51:10 +0200

kicad-packages3d (8.0.1-1) unstable; urgency=medium

  * [07d2757] New upstream version 8.0.1
  * [ebea210] d/control: Bump recommended version to >= 8.0.1~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 14:37:27 +0100

## kicad-packages3d 8.0.4

=== debian/changelog ===
kicad-packages3d (8.0.4-1) unstable; urgency=medium

  * [a752620] New upstream version 8.0.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Jul 2024 16:35:59 +0200

## kicad-packages3d 8.0.6

=== debian/changelog ===
kicad-packages3d (8.0.6-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Dec 2024 16:44:09 -0800

kicad-packages3d (8.0.6-1) unstable; urgency=medium

  * [6790cbf] New upstream version 8.0.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Oct 2024 19:52:30 +0200

kicad-packages3d (8.0.5-1) unstable; urgency=medium

  * [acdb94b] New upstream version 8.0.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Sep 2024 17:54:45 +0200

=== debian/control ===
Source: kicad-packages3d
Section: electronics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
           Jean-Samuel Reynaud <js.reynaud@gmail.com>
Build-Depends: cmake, debhelper-compat (= 13)
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
Standards-Version: 4.7.0
Homepage: https://kicad.github.io/packages3d

Package: kicad-packages3d
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: kicad (>= 8.0.1~)
Breaks: kicad (<< 8.0.1~), kicad-common (<< 5.0.0~rc1+dfsg1-1~)
Replaces: kicad (<< 8.0.1~), kicad-common (<< 5.0.0~rc1+dfsg1-1~)
Description: 3D models for 3D viewer in KiCad's Pcbnew and Footprint Editor
 Pcbnew is a powerful printed circuit board software and part of the
 KiCad suite. Like Pcbnew the Footprint Editor is also part of KiCad.
 The 3D models are provided as *.step and *.wrl files and intended to be
 rendered by the Pcbnew and Footprint 3D viewer or other MCAD software.
 .
 The STEP files (*.step) are used for integration with MCAD software packages
 (e.g. by openscad or freecad). The WRL files (*.wrl) are used for
 photo-realistic rendering using KiCad's raytracing rendering engine.
 .
 The 3D models of this package are completely optional and not really needed
 for developing of any PCB layout but they give the user a impressive
 possibility to see how the PCB or the Footprint would look like.
 .
 This package is providing 3D Models for Pcbnew and the footprint editor
 usable for KiCad >= 8.0.0.
 .
 Please note this package will use about 5.7GB of disk space! Ensure you have
 enough free space on your PC or Laptop before you install the package.

## kicad-packages3d 8.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
+cmake_minimum_required( VERSION 3.10 FATAL_ERROR )
+
 project( kicad-packages3d NONE )
-
-cmake_minimum_required( VERSION 3.10 FATAL_ERROR )
 
 
 #================================================

=== debian/changelog ===
kicad-packages3d (8.0.7-1) unstable; urgency=medium

  * [13b3ded] New upstream version 8.0.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Dec 2024 08:00:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: kicad-packages3d
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
-Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
-           Jean-Samuel Reynaud <js.reynaud@gmail.com>
-Build-Depends: cmake, debhelper-compat (= 13)
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders:
+ Carsten Schoenert <c.schoenert@t-online.de>,
+ Jean-Samuel Reynaud <js.reynaud@gmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
@@ -15,10 +17,16 @@
 Package: kicad-packages3d
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: kicad (>= 8.0.1~)
-Breaks: kicad (<< 8.0.1~), kicad-common (<< 5.0.0~rc1+dfsg1-1~)
-Replaces: kicad (<< 8.0.1~), kicad-common (<< 5.0.0~rc1+dfsg1-1~)
+Depends:
+ ${misc:Depends},
+Recommends:
+ kicad (>= 8.0.1~),
+Breaks:
+ kicad (<< 8.0.1~),
+ kicad-common (<< 5.0.0~rc1+dfsg1-1~),
+Replaces:
+ kicad (<< 8.0.1~),
+ kicad-common (<< 5.0.0~rc1+dfsg1-1~),
 Description: 3D models for 3D viewer in KiCad's Pcbnew and Footprint Editor
  Pcbnew is a powerful printed circuit board software and part of the
  KiCad suite. Like Pcbnew the Footprint Editor is also part of KiCad.

## kicad-packages3d 9.0.0

=== debian/changelog ===
kicad-packages3d (9.0.0-1) unstable; urgency=medium

  * [ab7f83d] New upstream version 9.0.0
  * [938c3d4] d/control: Bump Bre/Sug/Rec versions to >=/<< 9.0.0~
  * [781dc93] d/control: Increase Standards-Version to 4.7.1
    + No further changes needed.
  * [d4482a0] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Feb 2025 14:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad-packages3d/-/tree/debian/sid
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://kicad.github.io/packages3d
 
 Package: kicad-packages3d
@@ -20,12 +20,12 @@
 Depends:
  ${misc:Depends},
 Recommends:
- kicad (>= 8.0.1~),
+ kicad (>= 9.0.0~),
 Breaks:
- kicad (<< 8.0.1~),
+ kicad (<< 9.0.0~),
  kicad-common (<< 5.0.0~rc1+dfsg1-1~),
 Replaces:
- kicad (<< 8.0.1~),
+ kicad (<< 9.0.0~),
  kicad-common (<< 5.0.0~rc1+dfsg1-1~),
 Description: 3D models for 3D viewer in KiCad's Pcbnew and Footprint Editor
  Pcbnew is a powerful printed circuit board software and part of the
@@ -42,7 +42,7 @@
  possibility to see how the PCB or the Footprint would look like.
  .
  This package is providing 3D Models for Pcbnew and the footprint editor
- usable for KiCad >= 8.0.0.
+ usable for KiCad >= 9.0.0.
  .
  Please note this package will use about 5.7GB of disk space! Ensure you have
  enough free space on your PC or Laptop before you install the package.

## kicad-packages3d 9.0.2

=== debian/changelog ===
kicad-packages3d (9.0.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 May 2025 18:14:42 +0200

kicad-packages3d (9.0.2-1) unstable; urgency=medium

  * [b622226] New upstream version 9.0.2
  * [b13a667] d/control: Increase Standards-Version to 4.7.2
    + No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 May 2025 11:23:25 +0200

kicad-packages3d (9.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 10 Apr 2025 17:56:01 +0200

kicad-packages3d (9.0.1-1) unstable; urgency=medium

  * [c512712] New upstream version 9.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 04 Apr 2025 16:21:47 +0200

kicad-packages3d (9.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Mar 2025 13:47:58 +0200

kicad-packages3d (8.0.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 Dec 2024 16:18:21 +0200

kicad-packages3d (8.0.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Oct 2024 16:58:42 +0100

kicad-packages3d (8.0.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Sep 2024 19:05:22 +0200

kicad-packages3d (8.0.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 06:45:56 +0200

kicad-packages3d (8.0.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Jun 2024 20:14:09 +0200

kicad-packages3d (7.0.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Feb 2024 22:58:11 +0100

kicad-packages3d (7.0.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Jan 2024 15:06:06 +0100

kicad-packages3d (7.0.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Nov 2023 20:25:38 +0100

kicad-packages3d (7.0.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Aug 2023 19:59:04 +0530

## kicad-packages3d 9.0.3

=== debian/changelog ===
kicad-packages3d (9.0.3-1) unstable; urgency=medium

  * [630e532] New upstream version 9.0.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Jul 2025 12:09:49 +0200

=== debian/watch ===
# watch file for kicad-packages3d from KiCad
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="mode=git, \
      uversionmangle=s/\.-rc/~rc/; \
                     s/\.+$//, \
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://gitlab.com/kicad/libraries/kicad-packages3D.git \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## kicad-packages3d 9.0.4

=== debian/changelog ===
kicad-packages3d (9.0.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports
  * [2b7f7a7] d/gbp.conf: Adjust to target trixie

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Sep 2025 08:57:08 +0200

kicad-packages3d (9.0.4-1) unstable; urgency=medium

  * [3467a2e] New upstream version 9.0.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Aug 2025 08:38:36 +0200

## kicad-packages3d 9.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,41 @@
 )
 
 
+#================================================================
+# List of all models in the repository.
+#
+# This can be used by packagers to strip the models from footprints
+# that do not have released models.
+#================================================================
+
+set( MODEL_NAMES_FILE ${CMAKE_CURRENT_BINARY_DIR}/model_names.txt )
+set( METRICS_FILE ${CMAKE_CURRENT_BINARY_DIR}/metrics.txt )
+
+# Command to generate the list of model names.
+add_custom_command(
+   OUTPUT ${MODEL_NAMES_FILE} ${MODEL_NAMES_FILE}.always_runs
+   COMMENT "Listing all models in the repository"
+   COMMAND find . -name "*.step" -print0 |
+          xargs -0 realpath --relative-to=. |
+          sed "s,\.step\$,," > ${MODEL_NAMES_FILE}
+   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+   VERBATIM
+)
+
+# Generate some metrics about the models
+add_custom_command(
+    OUTPUT ${METRICS_FILE}
+    DEPENDS ${MODEL_NAMES_FILE}
+    COMMAND ${CMAKE_COMMAND} -E echo_append "TotalModelCount: " > ${METRICS_FILE}
+    COMMAND wc -l < ${MODEL_NAMES_FILE} >> ${METRICS_FILE}
+    COMMAND ${CMAKE_COMMAND} -E echo_append "LibraryCount: " >> ${METRICS_FILE}
+    COMMAND find . -maxdepth 1 -type d -name "'*.3dshapes'" | wc -l >> ${METRICS_FILE}
+    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
+)
+
+add_custom_target( list_models DEPENDS ${MODEL_NAMES_FILE} ${METRICS_FILE} )
+
+
 #================================================
 # Installed files.
 #================================================

=== debian/changelog ===
kicad-packages3d (9.0.5-1) unstable; urgency=medium

  * [2f88b1f] New upstream version 9.0.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Oct 2025 12:30:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	find debian/kicad-packages3d/usr/share/kicad/3dmodels -type f -exec chmod 644 {} \;
	find debian/kicad-packages3d/usr/share/kicad/3dmodels -type f -name "*.md" -exec rm {} \;
